| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_DDCCfg Struct Reference
Overview

Decimator Config. More...

## Data Fields
u32 | DecimationRate
         [0,1,2,3,4,8,9,10,11] Decimation Rate required
to go from 30.72MS/s to the RACH sample rate: More...
u32 | UserSCS
| [0-4,12-15] SubCarrier spacing of the RACH transmission this DDC is decimating and set by user. More...
u32 | RachGain [6]
| [0-3] The array of [6] Decimation Gains. More...

## Detailed Description

Decimator Config.

## Field Documentation

u32 XDfePrach_DDCCfg::DecimationRate

         [0,1,2,3,4,8,9,10,11] Decimation Rate required

to go from 30.72MS/s to the RACH sample rate:

- 0: 1x decimation(not allowed when XDfePrach_CarrierCfg.CCRate==0)
- 1: 2x decimation
- 2: 4x decimation
- 3: 8x decimation(not allowed when XDfePrach_CarrierCfg.CCRate==3)
- 4: 16x decimation(not allowed when XDfePrach_CarrierCfg.CCRate==3 or XDfePrach_CarrierCfg.CCRate==2)
- 8: 3x decimation
- 9: 6x decimation
- 10: 12x decimation(not allowed when XDfePrach_CarrierCfg.CCRate==3)
- 11: 24x decimation(not allowed when XDfePrach_CarrierCfg.CCRate==3 or XDfePrach_CarrierCfg.CCRate==2)

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_DDCCfg::RachGain[6]

[0-3] The array of [6] Decimation Gains.

Gain is applied to all active Decimation filters. Decimation filters are enabled depending upon the total decimation rate. The total_decimation_rate is the product of the decoded values of DecRate and XDfePrach_CarrierCfg.CCRate. Gain is applied on a per filter basis:

- Always applies:
  - CCDecGain[0]=0: Gain of 0dB in last decimating filter
  - CCDecGain[0]=1: Gain of 6dB in last decimating filter
  - CCDecGain[0]=2: Gain of 12dB in last decimating filter
  - CCDecGain[0]=3: Gain of 18dB in last decimating filter
- Only applies if total_decimation_rate = {4, 8, 16, 32, 6, 12, 24, 48, 96)
  - CCDecGain[1]=0: Gain of 0dB in fifth decimating filter
  - CCDecGain[1]=1: Gain of 6dB in fifth decimating filter
- Only applies if total_decimation_rate = {8, 16, 32, 12, 24, 48, 96)
  - CCDecGain[2]=0: Gain of 0dB in fourth decimating filter
  - CCDecGain[2]=1: Gain of 6dB in fourth decimating filter
- Only applies if total_decimation_rate = {16, 32, 24, 48, 96)
  - CCDecGain[3]=0: Gain of 0dB in third decimating filter
  - CCDecGain[3]=1: Gain of 6dB in third decimating filter
- Only applies if total_decimation_rate = {32, 48, 96)
  - CCDecGain[4]=0: Gain of 0dB in second decimating filter
  - CCDecGain[4]=1: Gain of 6dB in second decimating filter
- Only applies if total_decimation_rate = {96)
  - CCDecGain[5]=0: Gain of 0dB in first decimating filter
  - CCDecGain[5]=1: Gain of 6dB in first decimating filter

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_DDCCfg::UserSCS

[0-4,12-15] SubCarrier spacing of the RACH transmission this DDC is decimating and set by user.

Required to determine phase increment:

- 0: 15KHz spacing
- 1: 30KHz spacing
- 2: 60KHz spacing
- 3: 120KHz spacing
- 4: 240KHz spacing
- 12: 1.25KHz spacing
- 13: 3.75KHz spacing
- 14: 5KHz spacing
- 15: 7.5KHz spacing

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().